Bug 216525 - cannot add a property to edit the value of when "show all" enabled [NEEDINFO]
cannot add a property to edit the value of when "show all" enabled
Status: CLOSED NOTABUG
Product: 389
Classification: Community
Component: Directory Console (Show other bugs)
1.0.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 389_1.3.0 690311
  Show dependency treegraph
 
Reported: 2006-11-20 17:42 EST by Thomas Vander Stichele
Modified: 2015-11-13 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-13 17:23:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rmeggins: needinfo? (thomas)


Attachments (Terms of Use)

  None (edit)
Description Thomas Vander Stichele 2006-11-20 17:42:50 EST
Description of problem:

cannot add a property when "Show all Allowed Attributes" is selected

Version-Release number of selected component (if applicable):
fedora-ds 1.0.4 on fc6

How reproducible:
always

Steps to Reproduce:
1. Edit a Person, click Advanced
2. Enable "Show All Allowed Attributes"
3. Click "Add attribute"
4. select "mobile"
  
Actual results:

I get an error popup (consider making the text of these selectable so I can cut
and paste the message): Attribute module already in use.  yadda yadda yadda.

Expected results:

It should allow me to select the attribute and set a value.

Additional info:
This bug is related to #216523.  Maybe it is normal not to be able to add an
attribute that is already being shown in the list (which happens when you enable
"show all"), but I still can't give it a value.

The only way I have found to be able to set "mobile" to a value is to deselect
"show all", then "add attribute", and select mobile.  Then I can give it a value.
Comment 1 Thomas Vander Stichele 2008-05-06 11:46:17 EDT
18-monthly ping.
Comment 2 Rich Megginson 2008-12-22 12:58:54 EST
What error message do you get?  Note that even though you cannot select/copy/paste the error message from the dialog, there are still a couple of ways to report the message:
1) Using gimp, capture the window, or do a screen capture to get all of the console dialogs - save as jpg or png and attach the image to this bug
2) Run startconsole (or fedora-idm-console with 1.1 and later) -D 9 -f console.log, then attach the console.log to this bug
Comment 3 Martin Kosek 2012-01-04 08:48:00 EST
Upstream ticket:
https://fedorahosted.org/389/ticket/138

Note You need to log in before you can comment on or make changes to this bug.